### Hierarchy

- LoDashStatic

## Index

### Methods

- clamp
- inRange
- random

## Methods

### clamp

- clamp(number: number, lower: number, upper: number): number
- clamp(number: number, upper: number): number

- - Defined in node_modules/@types/lodash/common/number.d.ts:22

  Clamps `number` within the inclusive `lower` and `upper` bounds.

  category

    Number

  example

    _.clamp(-10, -5, 5); // => -5

    _.clamp(10, -5, 5); // => 5

  #### Parameters

  - ##### number: number

    The number to clamp.

  - ##### lower: number

  - ##### upper: number

    The upper bound.

  #### Returns number

  Returns the clamped number.

- - Defined in node_modules/@types/lodash/common/number.d.ts:27

  #### Parameters

  - ##### number: number

  - ##### upper: number

  #### Returns number

### inRange

- inRange(n: number, start: number, end?: undefined | number): boolean

- - Defined in node_modules/@types/lodash/common/number.d.ts:71

  Checks if n is between start and up to but not including, end. If end is not specified it’s set to start with start then set to 0.

  #### Parameters

  - ##### n: number

    The number to check.

  - ##### start: number

    The start of the range.

  - ##### Optional end: undefined | number

    The end of the range.

  #### Returns boolean

  Returns true if n is in the range, else false.

### random

- random(floating?: undefined | false | true): number
- random(max: number, floating?: undefined | false | true): number
- random(min: number, max: number, floating?: undefined | false | true): number
- random(min: number, index: string | number, guard: object): number

- - Defined in node_modules/@types/lodash/common/number.d.ts:111

  Produces a random number between min and max (inclusive). If only one argument is provided a number between 0 and the given number is returned. If floating is true, or either min or max are floats, a floating-point number is returned instead of an integer.

  #### Parameters

  - ##### Optional floating: undefined | false | true

    Specify returning a floating-point number.

  #### Returns number

  Returns the random number.

- - Defined in node_modules/@types/lodash/common/number.d.ts:118
  see

    _.random

  #### Parameters

  - ##### max: number

  - ##### Optional floating: undefined | false | true

  #### Returns number

- - Defined in node_modules/@types/lodash/common/number.d.ts:126
  see

    _.random

  #### Parameters

  - ##### min: number

  - ##### max: number

  - ##### Optional floating: undefined | false | true

  #### Returns number

- - Defined in node_modules/@types/lodash/common/number.d.ts:142

  Produces a random number between min and max (inclusive). If only one argument is provided a number between 0 and the given number is returned. If floating is true, or either min or max are floats, a floating-point number is returned instead of an integer.

  #### Parameters

  - ##### min: number

    The minimum possible value.

  - ##### index: string | number

    Not used in this overload.

  - ##### guard: object

    Enables use as an iteratee for methods like _.map. You should not pass this parameter directly in your code.

  #### Returns number

  Returns the random number.

Generated using TypeDoc